%global pypi_name django-openid-auth

Name:           python-%{pypi_name}
Version:        0.14
Release:        1%{?dist}
Summary:        OpenID integration for django.contrib.auth

License:        BSD
URL:            https://launchpad.net/django-openid-auth
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A library that can be used to add OpenID support to Django applications.
The library integrates with Django's built in authentication system, so
most applications require minimal changes to support OpenID login.

%package -n python2-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python2-devel

Requires:       python2-django
Requires:       python-openid

%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
A library that can be used to add OpenID support to Django applications.
The library integrates with Django's built in authentication system, so
most applications require minimal changes to support OpenID login.
This package provides Python 2 build of %{pypi_name}.

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel

Requires:       python3-django
Requires:       python3-openid

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A library that can be used to add OpenID support to Django applications.
The library integrates with Django's built in authentication system, so
most applications require minimal changes to support OpenID login.
This package provides Python 3 build of %{pypi_name}.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{pypi_name}
%license LICENSE.txt
%doc README.txt
%{python2_sitelib}/django_openid_auth
%{python2_sitelib}/django_openid_auth-%{version}-py?.?.egg-info
%{python2_sitelib}/example_consumer

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.txt
%{python3_sitelib}/django_openid_auth
%{python3_sitelib}/django_openid_auth-%{version}-py?.?.egg-info
%{python3_sitelib}/example_consumer

%changelog
* Thu May 18 2017 Jan Beran <jberan@redhat.com> - 0.14-1
- Update to 0.14
- Provides Python 3 subpackage

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 17 2014 Richard Marko <rmarko@fedoraproject.org> - 0.5-4
- Fix compatibility with Django 1.6

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 18 2013 Richard Marko <rmarko@fedoraproject.org> - 0.5-1
- Version bump

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 02 2012 Richard Marko <rmarko@redhat.com> - 0.4-2
- Fixing upstream URL.

* Thu Oct 25 2012 Richard Marko <rmarko@redhat.com> - 0.4-1
- Initial package.

